CA Gen 8.6 Build Tool token OPT.VSVERSION value for Microsoft Visual Studio 2017 or 2019

book

Article ID: 137979

calendar_today

Updated On:

Products

Gen

Issue/Introduction

In the CA Gen 8.6 Build Tool, what value should the BT profile token OPT.VSVERSION be set to when using either Microsoft Visual Studio 2017 or Microsoft Visual Studio 2019?

 

Environment

Release : 8.6
Component : CA Gen Build Tool

 

Resolution

The initial release of Gen 8.6 only supported Microsoft Visual Studio 2015, but later PTFs have introduced support for both Microsoft Visual Studio 2017 and Microsoft Visual Studio 2019 - for details please see the "Additional Information" section below.
When using Microsoft Visual Studio 2017, the Build Tool profile token OPT.VSVERSION needs to be set to VS150
When using Microsoft Visual Studio 2019, the Build Tool profile token OPT.VSVERSION needs to be set to VS160

Additional Information

1. NOTE:
Required Gen 8.6 PTFs for VS2017 or VS2019 support are:
VS2017:
Gen 8.6 Complete: WKS86200/SO09618
The VS 2017 support was originally delivered with a series of *861* PTFs but WKS86200 supersedes them (CA Gen 8.6 > Technical Requirements > Change Summary)
WKS86200 is also the baseline for all new 8.6 PTFs, so as a matter of course, it should be installed to be able to install any later PTFs.

VS 2019:
Gen 8.6 Complete: WKS86200/SO09618
TSN86209/ SS13873
BTN86201/SS13871
RTN86208/SS13872


2. Other useful links:
CA Gen 8.6 Solutions & Patches
CA Gen 8.6 techdocs > Release Notes > CA Gen 8.6 GA Complete
CA GEN 8.6 > Technical Requirements > Third-Party Software Version > Compilers